org.apache.olingo.server.api.uri.queryoption.apply

## Interface AggregateExpression

-     public interface AggregateExpression

  Represents an aggregate expression.
  See Also:
    `Aggregate`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AggregateExpression.StandardMethod` Standard aggregation method.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()` Gets the name of the aggregate if an alias name has been set.
    `FullQualifiedName` | `getCustomMethod()` Gets the name of the custom aggregation method if used.
    `Expression` | `getExpression()` Gets the common expression to be aggregated.
    `List<AggregateExpression>` | `getFrom()` Gets the aggregate expressions for `from`.
    `AggregateExpression` | `getInlineAggregateExpression()` Gets the inline aggregation expression to be applied to the target of the path if used.
    `List<UriResource>` | `getPath()` Gets the path prefix and the path segment.
    `AggregateExpression.StandardMethod` | `getStandardMethod()` Gets the standard aggregation method if used.

- - ### Method Detail

    - #### getPath

          List<UriResource> getPath()

      Gets the path prefix and the path segment.
      Returns:
        a (potentially empty) list of path segments (and never `null`)

    - #### getExpression

          Expression getExpression()

      Gets the common expression to be aggregated.
      Returns:
        an `Expression` that could be `null`

    - #### getStandardMethod

          AggregateExpression.StandardMethod getStandardMethod()

      Gets the standard aggregation method if used.
      Returns:
        a `AggregateExpression.StandardMethod` or `null`
      See Also:
        `getCustomMethod()`

    - #### getCustomMethod

          FullQualifiedName getCustomMethod()

      Gets the name of the custom aggregation method if used.
      Returns:
        a `FullQualifiedName` or `null`
      See Also:
        `getStandardMethod()`

    - #### getAlias

          String getAlias()

      Gets the name of the aggregate if an alias name has been set.
      Returns:
        an identifier String or `null`

    - #### getInlineAggregateExpression

          AggregateExpression getInlineAggregateExpression()

      Gets the inline aggregation expression to be applied to the target of the path if used.
      Returns:
        an aggregation expression or `null`
      See Also:
        `getPath()`

    - #### getFrom

          List<AggregateExpression> getFrom()

      Gets the aggregate expressions for `from`.
      Returns:
        a (potentially empty) list of aggregate expressions (but never `null`)

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.